SDL Library Documentation
Prev |  | Next

# SDL_JoystickNumHats

## Name

SDL_JoystickNumHats -- Get the number of joystick hats

## Synopsis

    #include "SDL.h"

``int SDL_JoystickNumHats`(SDL_Joystick *joystick);`

## Description

Return the number of hats available from a previously opened SDL_Joystick.

## Return Value

Number of hats.

## See Also

`SDL_JoystickGetHat`, `SDL_JoystickOpen`

Prev | Home | Next
SDL_JoystickNumBalls | Up | SDL_JoystickNumButtons